{"type":"TYPE_SECURITY","shortCode":"RL","name":"RLSA-2024:3830","synopsis":"Moderate: gvisor-tap-vsock security and bug fix update","severity":"SEVERITY_MODERATE","topic":"An update is available for gvisor-tap-vsock.\nThis update affects Rocky Linux 9.\nA Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE list","description":"A replacement for libslirp and VPNKit, written in pure Go. It is based on the network stack of gVisor and is used to provide networking for podman-machine virtual machines. Compared to libslirp, gvisor-tap-vsock brings a configurable DNS server and dynamic port forwarding.\n\nSecurity Fix(es):\n\n* golang: net\/http: memory exhaustion in Request.ParseMultipartForm (CVE-2023-45290)","solution":null,"affectedProducts":["Rocky Linux 9"],"fixes":[{"ticket":"2268017","sourceBy":"Red Hat","sourceLink":"https:\/\/bugzilla.redhat.com\/show_bug.cgi?id=2268017","description":""}],"cves":[{"name":"CVE-2023-45290","sourceBy":"MITRE","sourceLink":"https:\/\/cve.mitre.org\/cgi-bin\/cvename.cgi?name=CVE-2023-45290","cvss3ScoringVector":"UNKNOWN","cvss3BaseScore":"UNKNOWN","cwe":"UNKNOWN"}],"references":[],"publishedAt":"2024-06-14T14:00:40.182624Z","rpms":{"Rocky Linux 9":{"nvras":["gvisor-tap-vsock-6:0.7.3-3.el9_4.aarch64.rpm","gvisor-tap-vsock-6:0.7.3-3.el9_4.ppc64le.rpm","gvisor-tap-vsock-6:0.7.3-3.el9_4.s390x.rpm","gvisor-tap-vsock-6:0.7.3-3.el9_4.src.rpm","gvisor-tap-vsock-6:0.7.3-3.el9_4.x86_64.rpm","gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.aarch64.rpm","gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.ppc64le.rpm","gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.s390x.rpm","gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.x86_64.rpm","gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.aarch64.rpm","gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.ppc64le.rpm","gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.s390x.rpm","gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.x86_64.rpm"]}},"rebootSuggested":false,"buildReferences":[]}

Rocky Linux: RLSA-2024:3830 gvisor-tap-vsock security and bug fix update Security Advisories Updates

June 14, 2024
An update is available for gvisor-tap-vsock. This update affects Rocky Linux 9. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE list

Summary

An update is available for gvisor-tap-vsock. This update affects Rocky Linux 9. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE list


A replacement for libslirp and VPNKit, written in pure Go. It is based on the network stack of gVisor and is used to provide networking for podman-machine virtual machines. Compared to libslirp, gvisor-tap-vsock brings a configurable DNS server and dynamic port forwarding. Security Fix(es): * golang: net/http: memory exhaustion in Request.ParseMultipartForm (CVE-2023-45290)

RPMs

gvisor-tap-vsock-6:0.7.3-3.el9_4.aarch64.rpm

gvisor-tap-vsock-6:0.7.3-3.el9_4.ppc64le.rpm

gvisor-tap-vsock-6:0.7.3-3.el9_4.s390x.rpm

gvisor-tap-vsock-6:0.7.3-3.el9_4.src.rpm

gvisor-tap-vsock-6:0.7.3-3.el9_4.x86_64.rpm

gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.aarch64.rpm

gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.ppc64le.rpm

gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.s390x.rpm

gvisor-tap-vsock-debuginfo-6:0.7.3-3.el9_4.x86_64.rpm

gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.aarch64.rpm

gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.ppc64le.rpm

gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.s390x.rpm

gvisor-tap-vsock-debugsource-6:0.7.3-3.el9_4.x86_64.rpm

References

No References

CVEs

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-45290

Severity
Name: RLSA-2024:3830
Affected Products: Rocky Linux 9

Fixes

https://bugzilla.redhat.com/show_bug.cgi?id=2268017


Related News